# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   ApiTest
# FileName:      conftest.py
# Author:       liu
# Datetime:     2024/9/7 下午4:57
# Description: 自定义固件 session级
# ---------------------------------------------------------------------------
import pytest

from common.db import DB
from requests_method.request_method import RequestsMethod


@pytest.fixture(scope='session')
def fix_db():
    db = DB()
    yield db
    db.close()


@pytest.fixture(scope='session')
def fix_req():
    req = RequestsMethod()
    yield req
